<?php
date_default_timezone_set('Africa/Gaborone');
$entry_date = date("Y-m-d H:i:s");

$table_name = $_SESSION['db_prefix']."_alerts";
	$alert_query = "SELECT user_name, condition_1, send_alert, send_email FROM $table_name WHERE alert_name = 'Pallets return' ";
	$alert_result = mySQL_query($alert_query);
	$alert_num = mysql_num_rows($alert_result);
	$i=0;
	$email_address = '';
	while ($i<$alert_num) {
		$user_name = mysql_result($alert_result, $i, "user_name");
		$condition_1 = mysql_result($alert_result, $i, "condition_1");
		$send_alert = mysql_result($alert_result, $i, "send_alert");
		$send_email = mysql_result($alert_result, $i, "send_email");
		
				
		if ($send_alert=='yes') {
			$table_name = $_SESSION['db_prefix']."_alerts_store";
			$message_query = "INSERT INTO $table_name (`user_name`, `department`, `generated`, `alert`, `detail_1`, `detail_2`, `detail_3` ) VALUES ('".$user_name."', 'store', '".$entry_date."', '35', '".$entry_reference."', '".$cust_id."', '".$return_qty."') ";
			execsql($message_query);
		}
		
		
		if ($send_email=='yes') {
			$table_name = $_SESSION['db_prefix']."_users";
			$address_query = "SELECT email FROM $table_name WHERE username = '".$user_name."' ";
			$address_result = mySQL_query($address_query);
			$email_address = mysql_result($address_result, 0, "email").', '.$email_address;
		}
		
		
	$i++;	
	}
	
	$table_name = $_SESSION['db_prefix']."_customer";
	$comp_query = "SELECT comp_name, postal_place  FROM $table_name WHERE cust_id = '".$cust_id."' ";
	$comp_result = mySQL_query($comp_query);
	$comp_name = mysql_result($comp_result, 0, "comp_name");
	$postal_place = mysql_result($comp_result, 0, "postal_place");
	
	$table_name = $_SESSION['db_prefix']."_pallets_balance";
	$pallets_query = "SELECT ret_date FROM $table_name WHERE entry_reference = '".$entry_reference."' ";
	$pallets_result = mySQL_query($pallets_query);
	$ret_date = mysql_result($pallets_result, 0, "ret_date");
	

if ($email_address!='') {			
			$subject = "Pallets received for credit";
			$message = "<body><font face=Calibri size=3>".$return_qty." pallets returned from ".$comp_name." ".$postal_place." on ".date("d-m-Y", strtotime($ret_date )).".<br><br>For more info, login at <a href=costing.tocotex.com/bypass.php?c=rad&a=order&r=&e=>Radstone Phakalane Management Program</a>.<br><br><font face=Calibri size=3 color=red><b>This message comes from a non-responsive address, please do not reply</b></font><body>";
			include ('alert_to_email.php');
		}
			

	
	
?>